<?php

namespace XenGenTr\XenOneCikanKonular;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;
use XF\Db\Schema\Alter;
use XF\Db\Schema\Create;

class Setup extends AbstractSetup
{
	use StepRunnerInstallTrait;
	use StepRunnerUpgradeTrait;
	use StepRunnerUninstallTrait;
	
    /**
     * ----------------
     *   Ekelenti kurulumuna bala
     * ----------------
     */

	public function installStep1()
	{
		$this->schemaManager()->createTable(
                 'xengentr_onecikanlar', function(Create $table)
		{
			         $table->checkExists(true);
		             $table->addColumn('thread_id', 			'int', 10);
			         $table->addColumn('onecikan_tarih',		'int', 10);
			         $table->addColumn('onecikan_saat',			'int', 10);
			         $table->addColumn('onecikan_baslik',		'varchar', 255);
			         $table->addColumn('onecikan_icerik',		'text');
			         $table->addColumn('onecikan_medya',		'varchar', 255);
			         $table->addPrimaryKey('thread_id');
		});
	}
	
	public function installStep2()
	{
		$target = \XF::getRootDirectory().'/data/onecikan_konular';
		if (!is_dir($target)) { mkdir($target, 0777); }
	}
	
    /* 1.0.0 Beta 2 */
    /* OLUTUR widget */
    public function installStep3()
    {
        $this->createWidget(
              'XenGenTr_OneCikan_Widget', 
              'OneCikanWidget', [
                  'positions' => ['forum_list_above_nodes' => 1]
        ]);
    }

    /**
     * ----------------
     *     Eklentiyi kaldr
     * ----------------
     */

	public function uninstallStep1()
	{
		$this->schemaManager()->dropTable(
                   'xengentr_onecikanlar'
        );
	}
	
	public function uninstallStep2()
	{
	
		$target = glob(\XF::getRootDirectory().'/data/onecikan_konular/*.jpg');
		foreach ($target AS $file) { unlink($file); }

		$target = \XF::getRootDirectory().'/data/onecikan_konular';
		if (is_dir($target)) { rmdir($target); }
	}

}